Entrar

Listar refs de person (por role)

GET https://{organization}.myguper.com/api/register/{interface}/person/{role}

Lista todos os refs externos de person para o {role} (cashier/salesperson/manager/client) sob o {interface}. Retorna o personId, name e metadados _ref de cada ref (incluindo role).

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Respostas

[{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"}},{"id":620980,"name":"Bob","_ref":{"source":"vtex","refId":"100","role":"cashier"}}]
Copied to clipboard